VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
EventConsumeState Struct Reference
New classes » Version 4.11

EventConsumeState. More...

`#include <events.h>`

## Public Member Functions
void | operator= (bool state)
| operator bool ()
void | reset ()

## Public Attributes
uint32_t | data {NotHandled}

## Static Public Attributes
static constexpr uint32_t | NotHandled = 0
static constexpr uint32_t | Handled = 1
static constexpr uint32_t | Last = 2

## Detailed Description

EventConsumeState.

## Member Function Documentation

## ◆ operator bool()

operator bool | ( |  | ) |
| inline nodiscard

## ◆ operator=()

void operator= | ( | bool | state | ) |
| inline

## ◆ reset()

void reset | ( |  | ) |
| inline

## Member Data Documentation

## ◆ data

uint32_t data {NotHandled}

## ◆ Handled

uint32_t Handled = 1
| static constexpr

## ◆ Last

uint32_t Last = 2
| static constexpr

## ◆ NotHandled

uint32_t NotHandled = 0
| static constexpr

The documentation for this struct was generated from the following file:

- events.h